Package icyllis.arc3d.engine

# Class RenderTaskManager

java.lang.Object
icyllis.arc3d.engine.RenderTaskManager

@Deprecated public class RenderTaskManager extends Object
Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenderTaskManager(RecordingContext context)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RenderTask`
  `appendTask(@SharedPtr RenderTask task)`
  Deprecated.
  `void`
  `clearTasks()`
  Deprecated.
  `void`
  `closeTasks()`
  Deprecated.
  `boolean`
  `flush(FlushInfo info)`
  Deprecated.
  `OpFlushState`
  `getFlushState()`
  Deprecated.
  `RenderTask`
  `getLastRenderTask(SurfaceProxy proxy)`
  Deprecated.
  `@SharedPtr OpsTask`
  `newOpsTask(ImageProxyView writeView)`
  Deprecated.
  `RenderTask`
  `prependTask(@SharedPtr RenderTask task)`
  Deprecated.
  `void`
  `setLastRenderTask(SurfaceProxy surfaceProxy, RenderTask task)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RenderTaskManager

    public RenderTaskManager(RecordingContext context)
    Deprecated.

- ## Method Details

  - ### getFlushState

    public OpFlushState getFlushState()
    Deprecated.

  - ### flush

    public boolean flush(FlushInfo info)
    Deprecated.

  - ### closeTasks

    public void closeTasks()
    Deprecated.

  - ### clearTasks

    public void clearTasks()
    Deprecated.

  - ### appendTask

    public RenderTask appendTask(@SharedPtr @SharedPtr RenderTask task)
    Deprecated.

  - ### prependTask

    public RenderTask prependTask(@SharedPtr @SharedPtr RenderTask task)
    Deprecated.

  - ### setLastRenderTask

    public void setLastRenderTask(@Nonnull SurfaceProxy surfaceProxy, @Nullable RenderTask task)
    Deprecated.

  - ### getLastRenderTask

    public RenderTask getLastRenderTask(@Nonnull SurfaceProxy proxy)
    Deprecated.

  - ### newOpsTask

    @SharedPtr public @SharedPtr OpsTask newOpsTask(ImageProxyView writeView)
    Deprecated.